/*----- PROTECTED REGION ID(Keithley2001StateMachine.cpp) ENABLED START -----*/
static const char *RcsId = "$Id:  $";
//=============================================================================
//
// file :        Keithley2001StateMachine.cpp
//
// description : State machine file for the Keithley2001 class
//
// project :     Keithley 2001
//
// This file is part of Tango device class.
// 
// Tango is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Tango is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Tango.  If not, see <http://www.gnu.org/licenses/>.
// 
// $Author:  $
//
// $Revision:  $
// $Date:  $
//
// $HeadURL:  $
//
//=============================================================================
//                This file is generated by POGO
//        (Program Obviously used to Generate tango Object)
//=============================================================================

#include "Keithley2001.h"

/*----- PROTECTED REGION END -----*/	//	Keithley2001::Keithley2001StateMachine.cpp

//================================================================
//  States  |  Description
//================================================================
//  ON      |  Device is up and running
//  OFF     |  Communication link state is OFF
//  ALARM   |  An error occurs
//  FAULT   |  Device initialization failed


namespace Keithley2001_ns
{
//=================================================
//		Attributes Allowed Methods
//=================================================

//--------------------------------------------------------
/**
 *	Method      : Keithley2001::is_temperature_allowed()
 *	Description : Execution allowed for temperature attribute
 */
//--------------------------------------------------------
bool Keithley2001::is_temperature_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Not any excluded states for temperature attribute in read access.
	/*----- PROTECTED REGION ID(Keithley2001::temperatureStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Keithley2001::temperatureStateAllowed_READ
	return true;
}

//=================================================
//		Commands Allowed Methods
//=================================================

//--------------------------------------------------------
/**
 *	Method      : Keithley2001::is_SaveConfig_allowed()
 *	Description : Execution allowed for SaveConfig attribute
 */
//--------------------------------------------------------
bool Keithley2001::is_SaveConfig_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Not any excluded states for SaveConfig command.
	/*----- PROTECTED REGION ID(Keithley2001::SaveConfigStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Keithley2001::SaveConfigStateAllowed
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Keithley2001::is_RestoreConfig_allowed()
 *	Description : Execution allowed for RestoreConfig attribute
 */
//--------------------------------------------------------
bool Keithley2001::is_RestoreConfig_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Not any excluded states for RestoreConfig command.
	/*----- PROTECTED REGION ID(Keithley2001::RestoreConfigStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Keithley2001::RestoreConfigStateAllowed
	return true;
}

}	//	End of namespace
